/*
	* Copyright (c) 2021-11 by ELECTRONIC ASSEMBLY <technik@lcd-module.de>
	*
	* Bluetooth implementation for demoproject with EA uniTFTs
	*
	* This file is free software; you can redistribute it and/or modify
	* it under the terms of either the GNU General Public License version 2
	* or the GNU Lesser General Public License version 2.1, both as
	* published by the Free Software Foundation.
*/

#ifndef BT_KEYBOARD_H
#define BT_KEYBOARD_H

#include "esp32/rom/rtc.h" //for keeping variables during reboot alive
#include "src/BT/BleKeyboard.h"

//different Bluetooth modes
#define MODE_OFF          0
#define MODE_BT_SERIAL    1
#define MODE_BT_KEYBOARD  2

class BT_Keyboard
{
 public:
	void setup(esp_reset_reason_t reason); //initialize bluetooth with correct mode (switching between keyboard and serial mode only possible with reboot)
	boolean isConnectedAsSerial();
	void BT_off();
	void checkTask();
	void decodeCommands(byte command);

private:
	byte connection_mode=MODE_OFF;
	byte was_BT_Keyboard = false;

	BleKeyboard kb;
	char kb_callFirstScreen = false;
	char kb_connectIcon = 0;
	char strbuf[100];
};

#endif //#define BT_KEYBOARD_H